Bug 488429 - metacity no longer updates icons
metacity no longer updates icons
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 04:43 EST by Pierre Ossman
Modified: 2009-11-18 11:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 11:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 572573 None None None Never

  None (edit)
Description Pierre Ossman 2009-03-04 04:43:01 EST
Somewhere post-F10, metacity lost the ability to update icons on already created (mapped?) windows. It keeps the icon it had initially forever. This is noticable in applications that set their icon after being mapped as well as those that change depending on what they're doing.

A good test is to start ooffice and create a new document. The taskbar will reflect the new document type icon, but metacity will show the old generic OOo icon.
Comment 1 Pierre Ossman 2009-03-04 04:44:26 EST
I should mention that a debug dump from metacity shows that it is getting the notifications that _NET_WM_ICON has changed, it just doesn't do anything about it.
Comment 2 Pierre Ossman 2009-03-19 16:19:41 EDT
Ping!

This should probably be fixed before F11.
Comment 3 Bug Zapper 2009-06-09 07:51:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Owen Taylor 2009-11-18 11:55:17 EST
In F12, it works for fine for me with OpenOffice as described and also with previews in the GIMP. I think it might have been the upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=572573.

Note You need to log in before you can comment on or make changes to this bug.